Skip to main content
POST
/
recommenders
curl -X POST https://api2.ecomailapp.cz/recommenders \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "shop_id": "my-shop",
    "feed_id": 1
  }'
[
  {
    "recommender_id": "6789abc123def",
    "feed_id": 1,
    "shop_id": "my-shop",
    "last_trained_timestamp": null,
    "status": "created",
    "settings": {
      "filtered_products": [],
      "filtered_categories": [],
      "included_months": []
    }
  }
]
shop_id
string
required
The shop (e-commerce platform) identifier.
feed_id
integer
required
The product feed ID to use for recommendations.
Each shop + feed combination can only have one recommender. Attempting to create a duplicate returns a 422 error. After creation the recommender status will be created and training will start automatically in the background.
curl -X POST https://api2.ecomailapp.cz/recommenders \
  -H "key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "shop_id": "my-shop",
    "feed_id": 1
  }'
[
  {
    "recommender_id": "6789abc123def",
    "feed_id": 1,
    "shop_id": "my-shop",
    "last_trained_timestamp": null,
    "status": "created",
    "settings": {
      "filtered_products": [],
      "filtered_categories": [],
      "included_months": []
    }
  }
]